<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".fragment.PrivacyPageFragment">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="29dp"
        android:orientation="vertical">

        <TextView
            android:id="@+id/tv_manager"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:layout_marginEnd="16dp"
            android:text="Manage"
            android:textColor="#3A9BFF"
            android:textSize="18sp"
            android:visibility="gone"
            tools:ignore="HardcodedText" />

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
                android:id="@+id/swipeRefreshLayout"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="8dp"
                    android:visibility="gone"
                    app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
                    app:spanCount="4" />
            </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

            <LinearLayout
                android:id="@+id/ll_empty"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal|bottom"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginBottom="50dp"
                    android:src="@mipmap/kongwenjian"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="No Secret Files"
                    android:textColor="@color/black"
                    android:textSize="18sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="16dp"
                    android:text="Tap + belows to add photos and videos"
                    tools:ignore="HardcodedText" />

                <ImageView
                    android:id="@+id/iv_add_empty"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginTop="48dp"
                    android:layout_marginBottom="60dp"
                    android:src="@mipmap/tianjia"
                    tools:ignore="ContentDescription" />
            </LinearLayout>

        </FrameLayout>


    </LinearLayout>

    <ImageView
        android:id="@+id/iv_add"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom|end"
        android:layout_marginEnd="24dp"
        android:layout_marginBottom="80dp"
        android:src="@mipmap/tianjia"
        android:visibility="gone"
        tools:ignore="ContentDescription" />

</FrameLayout>